org.keycloak.protocol.oidc.representations

## Class OIDCConfigurationRepresentation

- java.lang.Object
- - org.keycloak.protocol.oidc.representations.OIDCConfigurationRepresentation

-     public class OIDCConfigurationRepresentation
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `otherClaims`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCConfigurationRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorizationEndpoint()`
    `Boolean` | `getClaimsParameterSupported()`
    `List<String>` | `getClaimsSupported()`
    `List<String>` | `getClaimTypesSupported()`
    `List<String>` | `getGrantTypesSupported()`
    `List<String>` | `getIdTokenSigningAlgValuesSupported()`
    `String` | `getIssuer()`
    `String` | `getJwksUri()`
    `String` | `getLogoutEndpoint()`
    `Map<String,Object>` | `getOtherClaims()`
    `String` | `getRegistrationEndpoint()`
    `Boolean` | `getRequestParameterSupported()`
    `Boolean` | `getRequestUriParameterSupported()`
    `List<String>` | `getResponseModesSupported()`
    `List<String>` | `getResponseTypesSupported()`
    `List<String>` | `getScopesSupported()`
    `List<String>` | `getSubjectTypesSupported()`
    `String` | `getTokenEndpoint()`
    `List<String>` | `getTokenEndpointAuthMethodsSupported()`
    `List<String>` | `getTokenEndpointAuthSigningAlgValuesSupported()`
    `String` | `getTokenIntrospectionEndpoint()`
    `String` | `getUserinfoEndpoint()`
    `void` | `setAuthorizationEndpoint(String authorizationEndpoint)`
    `void` | `setClaimsParameterSupported(Boolean claimsParameterSupported)`
    `void` | `setClaimsSupported(List<String> claimsSupported)`
    `void` | `setClaimTypesSupported(List<String> claimTypesSupported)`
    `void` | `setGrantTypesSupported(List<String> grantTypesSupported)`
    `void` | `setIdTokenSigningAlgValuesSupported(List<String> idTokenSigningAlgValuesSupported)`
    `void` | `setIssuer(String issuer)`
    `void` | `setJwksUri(String jwksUri)`
    `void` | `setLogoutEndpoint(String logoutEndpoint)`
    `void` | `setOtherClaims(String name, Object value)`
    `void` | `setRegistrationEndpoint(String registrationEndpoint)`
    `void` | `setRequestParameterSupported(Boolean requestParameterSupported)`
    `void` | `setRequestUriParameterSupported(Boolean requestUriParameterSupported)`
    `void` | `setResponseModesSupported(List<String> responseModesSupported)`
    `void` | `setResponseTypesSupported(List<String> responseTypesSupported)`
    `void` | `setScopesSupported(List<String> scopesSupported)`
    `void` | `setSubjectTypesSupported(List<String> subjectTypesSupported)`
    `void` | `setTokenEndpoint(String tokenEndpoint)`
    `void` | `setTokenEndpointAuthMethodsSupported(List<String> tokenEndpointAuthMethodsSupported)`
    `void` | `setTokenEndpointAuthSigningAlgValuesSupported(List<String> tokenEndpointAuthSigningAlgValuesSupported)`
    `void` | `setTokenIntrospectionEndpoint(String tokenIntrospectionEndpoint)`
    `void` | `setUserinfoEndpoint(String userinfoEndpoint)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### otherClaims

          protected Map<String,Object> otherClaims

  - ### Constructor Detail

    - #### OIDCConfigurationRepresentation

          public OIDCConfigurationRepresentation()

  - ### Method Detail

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public void setIssuer(String issuer)

    - #### getAuthorizationEndpoint

          public String getAuthorizationEndpoint()

    - #### setAuthorizationEndpoint

          public void setAuthorizationEndpoint(String authorizationEndpoint)

    - #### getTokenEndpoint

          public String getTokenEndpoint()

    - #### setTokenEndpoint

          public void setTokenEndpoint(String tokenEndpoint)

    - #### getTokenIntrospectionEndpoint

          public String getTokenIntrospectionEndpoint()

    - #### setTokenIntrospectionEndpoint

          public void setTokenIntrospectionEndpoint(String tokenIntrospectionEndpoint)

    - #### getUserinfoEndpoint

          public String getUserinfoEndpoint()

    - #### setUserinfoEndpoint

          public void setUserinfoEndpoint(String userinfoEndpoint)

    - #### getJwksUri

          public String getJwksUri()

    - #### setJwksUri

          public void setJwksUri(String jwksUri)

    - #### getLogoutEndpoint

          public String getLogoutEndpoint()

    - #### setLogoutEndpoint

          public void setLogoutEndpoint(String logoutEndpoint)

    - #### getGrantTypesSupported

          public List<String> getGrantTypesSupported()

    - #### setGrantTypesSupported

          public void setGrantTypesSupported(List<String> grantTypesSupported)

    - #### getResponseTypesSupported

          public List<String> getResponseTypesSupported()

    - #### setResponseTypesSupported

          public void setResponseTypesSupported(List<String> responseTypesSupported)

    - #### getSubjectTypesSupported

          public List<String> getSubjectTypesSupported()

    - #### setSubjectTypesSupported

          public void setSubjectTypesSupported(List<String> subjectTypesSupported)

    - #### getIdTokenSigningAlgValuesSupported

          public List<String> getIdTokenSigningAlgValuesSupported()

    - #### setIdTokenSigningAlgValuesSupported

          public void setIdTokenSigningAlgValuesSupported(List<String> idTokenSigningAlgValuesSupported)

    - #### getResponseModesSupported

          public List<String> getResponseModesSupported()

    - #### setResponseModesSupported

          public void setResponseModesSupported(List<String> responseModesSupported)

    - #### getRegistrationEndpoint

          public String getRegistrationEndpoint()

    - #### setRegistrationEndpoint

          public void setRegistrationEndpoint(String registrationEndpoint)

    - #### getTokenEndpointAuthMethodsSupported

          public List<String> getTokenEndpointAuthMethodsSupported()

    - #### setTokenEndpointAuthMethodsSupported

          public void setTokenEndpointAuthMethodsSupported(List<String> tokenEndpointAuthMethodsSupported)

    - #### getTokenEndpointAuthSigningAlgValuesSupported

          public List<String> getTokenEndpointAuthSigningAlgValuesSupported()

    - #### setTokenEndpointAuthSigningAlgValuesSupported

          public void setTokenEndpointAuthSigningAlgValuesSupported(List<String> tokenEndpointAuthSigningAlgValuesSupported)

    - #### getClaimsSupported

          public List<String> getClaimsSupported()

    - #### setClaimsSupported

          public void setClaimsSupported(List<String> claimsSupported)

    - #### getClaimTypesSupported

          public List<String> getClaimTypesSupported()

    - #### setClaimTypesSupported

          public void setClaimTypesSupported(List<String> claimTypesSupported)

    - #### getClaimsParameterSupported

          public Boolean getClaimsParameterSupported()

    - #### setClaimsParameterSupported

          public void setClaimsParameterSupported(Boolean claimsParameterSupported)

    - #### getScopesSupported

          public List<String> getScopesSupported()

    - #### setScopesSupported

          public void setScopesSupported(List<String> scopesSupported)

    - #### getRequestParameterSupported

          public Boolean getRequestParameterSupported()

    - #### setRequestParameterSupported

          public void setRequestParameterSupported(Boolean requestParameterSupported)

    - #### getRequestUriParameterSupported

          public Boolean getRequestUriParameterSupported()

    - #### setRequestUriParameterSupported

          public void setRequestUriParameterSupported(Boolean requestUriParameterSupported)

    - #### getOtherClaims

          public Map<String,Object> getOtherClaims()

    - #### setOtherClaims

          public void setOtherClaims(String name,
                                     Object value)

Copyright © 2016 JBoss by Red Hat. All rights reserved.